%INDLIST   Determine which occupations are most frequent for those 
%          on prespecified industry list.  See read_cps2.f90 for
%          details.
%
clear
format compact
load indlist.out
year      = indlist(:,1);
inocclist = indlist(:,2);
inindlist = indlist(:,3);
occ       = indlist(:,4);
ind       = indlist(:,5);
perwt     = indlist(:,6);
educrec   = indlist(:,7);
cutoff    = input('What cutoff for occupation frequency? (%) ');

M         = 0;
for t=1:11;
  for i=1:1000;
    j   = find((year==1991+t) & (educrec>=8));
    k   = find((year==1991+t) & (educrec>=8) & (occ==i));
    m   = sum(perwt(k))/sum(perwt(j));
    if (m>cutoff/100 & sum(M==i)==0);
      M = [M;i];
    end; 
  end;
end;
n       = length(M)-1;
M       = M(2:n+1);
M       = sort(M);
disp('List of Most Frequent Occupations with Industries Chosen')
for i=1:n;
  disp(sprintf('     %4g',M(i)));
end;
