%SWEAT2   Plot contribution of hours results from CPS.

%         Ellen McGrattan


load sweat2.out

t     = sweat2(:,1);
hrs   = sweat2(:,2); 
hrs1  = sweat2(:,3); 
hrs2  = sweat2(:,4); 
hrs3  = sweat2(:,5); 
pop   = sweat2(:,6); 
pop1  = sweat2(:,7); 
pop2  = sweat2(:,8); 
pop3  = sweat2(:,9); 
hpc   = sweat2(:,10);
hpc1  = sweat2(:,11);
hpc2  = sweat2(:,12);
hpc3  = sweat2(:,13);

figure(1)
plot(t,hpc-hpc(1),'-o',t,hpc1-hpc1(1),'-o')
title('Weekly Hours Per Capita Relative to 1992','Fontsize',16)
legend('Total population, aged 16-64', ...
      ['Group 1 (',int2str(pop1(1)/pop(1)*100),'% of 1992 population)'], ...
      'Location','NorthWest')
figure(2)
plot(t,hpc-hpc(1),'-o',t,hpc2-hpc2(1),'-o')
title('Weekly Hours Per Capita Relative to 1992','Fontsize',16)
legend('Total population, aged 16-64', ...
      ['Group 2 (',int2str(pop2(1)/pop(1)*100),'% of 1992 population)'], ...
      'Location','NorthWest')
figure(3)
plot(t,hpc-hpc(1),'-o',t,hpc3-hpc3(1),'-o')
title('Weekly Hours Per Capita Relative to 1992','Fontsize',16)
legend('Total population, aged 16-64', ...
      ['Group 3 (',int2str(pop3(1)/pop(1)*100),'% of 1992 population)'], ...
      'Location','NorthWest')

tab  = [100,hpc(9)/hpc(1)*100,hpc(9)/hpc(1)*100-100,(hpc(9)/hpc(1)-1)*100;
        hpc2(1)/hpc(1)*100,hpc2(9)/hpc(1)*100,(hpc2(9)-hpc2(1))/hpc(1)*100, ...
        (hpc2(9)-hpc2(1))/hpc2(1)*100;
        hpc3(1)/hpc(1)*100,hpc3(9)/hpc(1)*100,(hpc3(9)-hpc3(1))/hpc(1)*100, ...
        (hpc3(9)-hpc3(1))/hpc3(1)*100];
disp('Hours Per Noninstitional Population Age 16-64')
disp('---------------------------------------------')
disp('                      1992  2000   Chg  %Chg')
disp('                     ------------------------')
disp(sprintf('  All workers       %6.1f%6.1f%6.1f%6.1f ',tab(1,:)));
disp(sprintf('  Group 2 workers   %6.1f%6.1f%6.1f%6.1f ',tab(2,:)));
disp(sprintf('  Group 3 workers   %6.1f%6.1f%6.1f%6.1f ',tab(3,:)));
disp('---------------------------------------------')

